<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bicing Puto</title>
</head>
<body>
    <div id="demo"></div>
    <div id="map"></div>
    <script>
        fetch('stations.json')
        .then(function (response) {
            return response.json();
        })
        .then(function (dataJson) {
            console.log(dataJson);
            //dataJson.stations.reverse();
            dataJson.stations.sort(function (a,b){return (b.bikes-a.bikes)});
            let text = "<table border='1'>"
                text += "<tr><td> id </td><td>streetName </td><td>longitude</td><td>latitude</td><td>slots</td><td>bikes</td><tr>";
            let text2 = "<p>";
            let text3 = "<p>"
            let slotsmax;
            let idmax;
            for (const station of dataJson.stations) {

                if (station.bikes > 3) {
                    text += "<tr><td>" + station.id + "</td><td>" + station.streetName + "</td><td>" + station.longitude + "</td><td>"+ station.latitude + "</td><td>"+ station.slots + "</td><td>"+ station.bikes + "</td><tr>";
                }
                if (station.id == 33) {
                    text2 += "Estacio amb id 33:"
                    text2 += station.streetName +"</p>";                    
                }
                if (station.latitude == 41.398389) {
                    text2 += "<br> <p>Estacio amb latitud 41.398389 "
                    text2 += station.streetName + ", slots:"+station.slots +"</p>";                    
                }
            }
            text += "</table>"
            for (const station of dataJson.stations) {
                if (station.slots > slotsmax) {
                    slotsmax = station.slots;
                    idmax = station.id;
                }
            }
            for (const station of dataJson.stations) {
                if (station.id > idmax) {
                    text3 += "Estacio amb més slots: ";
                    text3 +=  station.streetName + " amb "+ slotsmax + "slots</p>";
                    break;
                }
            }

            
            document.getElementById("demo").innerHTML = text;
            document.getElementById("demo").innerHTML += text2;
            document.getElementById("demo").innerHTML += text3;
            return dataJson;
        })
        .catch(function (error) { console.log("Algo ha salido mal: "+ error) })


    </script>
</body>
</html>